This section explains how to create a simple RadioButton, and demonstrate the basic usage of the RadioButton module in an Angular environment.
The following list of dependencies are required to use the RadioButton module in your application.
|-- @syncfusion/ej2-angular-buttons
|-- @syncfusion/ej2-angular-base
|-- @syncfusion/ej2-base
|-- @syncfusion/ej2-buttons
You can use Angular CLI to setup your Angular applications. To install Angular CLI use the following command.
npm install -g @angular/cli
Start a new Angular application using below Angular CLI command.
ng new my-app
cd my-app
To install RadioButton package, use the following command.
npm install @syncfusion/ej2-angular-buttons --save
Import RadioButton module into Angular application(app.module.ts) from the package
@syncfusion/ej2-angular-buttons
.
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
// Imported Syncfusion radiobutton module from buttons package.
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
@NgModule({
imports: [ BrowserModule, RadioButtonModule ], // Registering EJ2 RadioButton Module.
declarations: [ AppComponent ],
bootstrap: [ AppComponent ]
})
export class AppModule { }
Modify the template in app.component.ts
file to render the RadioButton component.
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
template: `<!-- To Render RadioButton. -->
<ejs-radiobutton label="Default"></ejs-radiobutton>`
})
export class AppComponent { }
Add RadioButton component’s styles as given below in style.css
.
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
Run the application in the browser using the following command:
ng serve
The below example shows a basic RadioButton component,
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
template: `<ul>
<!-- To Render RadioButton. -->
<li><ejs-radiobutton label="Option 1" name="default"></ejs-radiobutton></li>
<li><ejs-radiobutton label="Option 2" name="default" checked="true"></ejs-radiobutton></li>
</ul>`
})
export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
/**
* Module
*/
@NgModule({
imports: [
BrowserModule,
RadioButtonModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
The Essential JS 2 RadioButton contains 2 different states visually, they are as follows:
The RadioButton checked
property is used to handle the checked and unchecked state.
In the checked state an inner circle will be added to the visualization of RadioButton.
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
template: `<ul>
<!-- checked state. -->
<li><ejs-radiobutton label="Option 1" name="state" checked="true"></ejs-radiobutton></li>
<!-- unchecked state. -->
<li><ejs-radiobutton label="Option 2" name="state"></ejs-radiobutton></li>
</ul>`
})
export class AppComponent { }
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
/**
* Module
*/
@NgModule({
imports: [
BrowserModule,
RadioButtonModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Syncfusion AI Assistant

How can I help you?

Getting Started with the Vue Radio button Component in Vue 2

13 Mar 20266 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Radio button component.

Prerequisites

System requirements for Syncfusion® Vue UI components

Setting up the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add Syncfusion® Vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Radio button component as an example. Install the @syncfusion/ej2-vue-buttons package by running the following command:

npm install @syncfusion/ej2-vue-buttons --save

or

yarn add @syncfusion/ej2-vue-buttons

Import Syncfusion® CSS styles

Syncfusion® components require CSS stylesheets to display correctly. You can import themes in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG, and Theme Studio. Refer to themes topic to learn more about built-in themes and different ways to reference themes in a Vue project.

In this article, the Material3 theme is applied using CSS styles, which are available in installed packages. The necessary Material3 CSS styles for the Radio button component and its dependents were imported into the <style> section of the src/App.vue file.

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
</style>

The order of CSS imports matters. Import base styles first, then component-specific styles. Missing CSS imports can result in misaligned layouts, buttons without styling, or missing visual elements in popups and dialogs.

Add Syncfusion® Vue component

Follow the below steps to add the Vue Radio button component:

1. First, import and register the Radio button component in the script section of the src/App.vue file.

<script setup>
import { RadioButtonComponent as EjsRadiobutton } from "@syncfusion/ej2-vue-buttons";
</script>
<script>
import { RadioButtonComponent } from "@syncfusion/ej2-vue-buttons";
export default {
    components: {
        'ejs-radiobutton': RadioButtonComponent
    }
}
</script>

2. In the template section, define the Radio button component with the label property.

<template>
<ejs-radiobutton label='Default'></ejs-radiobutton>
</template>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
  <ul>
    <li><ejs-radiobutton label='Option 1' name='default'></ejs-radiobutton></li>
    <li><ejs-radiobutton label='Option 2' name='default' checked=true></ejs-radiobutton></li>
  </ul>
</template>

<script setup>
import { RadioButtonComponent as EjsRadiobutton } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>
<template>
  <ul>
    <li><ejs-radiobutton label='Option 1' name='default'></ejs-radiobutton></li>
    <li><ejs-radiobutton label='Option 2' name='default' checked=true></ejs-radiobutton></li>
  </ul>
</template>

<script>
import { RadioButtonComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: "App",
  components: {
    'ejs-radiobutton': RadioButtonComponent
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve

Change the RadioButton state

The Essential® JS 2 RadioButton contains 2 states visually, they are as follows:

  • Checked
  • Unchecked

The RadioButton checked property is used to handle the checked and unchecked state. In the checked state an inner circle will be added to the visualization of RadioButton.

<template>
  <ul>
    <li><ejs-radiobutton label='Option 1' name='default' checked=true></ejs-radiobutton></li>
    <li><ejs-radiobutton label='Option 2' name='default'></ejs-radiobutton></li>
  </ul>
</template>

<script setup>
import { RadioButtonComponent as EjsRadiobutton } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>
<template>
  <ul>
    <li><ejs-radiobutton label='Option 1' name='default' checked=true></ejs-radiobutton></li>
    <li><ejs-radiobutton label='Option 2' name='default'></ejs-radiobutton></li>
  </ul>
</template>

<script>
import { RadioButtonComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
  name: "App",
  components: {
    'ejs-radiobutton': RadioButtonComponent
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}
</style>

Getting Started with React RadioButton component

27 Feb 20264 minutes to read

This section explains the steps required to create a simple React RadioButton component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

Setup for local development

Easily set up a React application using create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® RadioButton packages

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
To install the RadioButton component, use the following command

npm install @syncfusion/ej2-react-buttons --save

The –save will instruct NPM to include the RadioButton package inside of the dependencies section of the package.json.

Adding CSS reference

The following CSS files are available in the ../node_modules/@syncfusion package folder. Add these as references in src/App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";

To refer App.css in the application then import it in the src/App.tsx file.

Adding RadioButton component

The React RadioButton component can be added to the application by following these steps. To get started, add the RadioButton component to the src/App.tsx file using the following code.

The following radiobutton code should be placed in the src/App.tsx file.

import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import './App.css';

function App() {
  return (<div>
    <RadioButtonComponent label="default" />
  </div>);
}
export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output appears as follows.

import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render RadioButton.
function App() {
    return (<ul>
    <li><RadioButtonComponent label="Option 1" name="default"/></li>
    <li><RadioButtonComponent label="Option 2" name="default"/></li>
    </ul>);
}
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render RadioButton.
function App() {
  return (
    <ul>
    <li><RadioButtonComponent label="Option 1" name="default" /></li>
    <li><RadioButtonComponent label="Option 2" name="default" /></li>
    </ul>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));

Refer to the React Radio Button feature tour page for its groundbreaking feature representations. You can also explore our React Radio Button component example that shows how to render the ButtonGroup in React.